<?php

if (!class_exists('WooCommerce')) {
    return;
}

/*Add video to product detail*/
if ( !function_exists('puca_tbay_woocommerce_add_video_field') ) {
    add_action( 'woocommerce_product_options_general_product_data', 'puca_tbay_woocommerce_add_video_field' );
  
    function puca_tbay_woocommerce_add_video_field(){
  
      $args = apply_filters( 'puca_tbay_woocommerce_simple_url_video_args', array(
          'id' => '_video_url',
          'label' => esc_html__('Featured Video URL', 'puca'),
          'placeholder' => esc_html__('Video URL', 'puca'),
          'desc_tip' => true,
          'description' => esc_html__('Enter the video url at https://vimeo.com/ or https://www.youtube.com/', 'puca'))
      );
  
      echo '<div class="options_group">';
  
      woocommerce_wp_text_input( $args ) ;
  
      echo '</div>';
    }
  }
  
  if ( !function_exists('puca_tbay_save_video_url') ) {
    add_action( 'woocommerce_process_product_meta', 'puca_tbay_save_video_url', 10, 2 );
    function puca_tbay_save_video_url( $post_id, $post ) {
        if ( isset( $_POST['_video_url'] ) ) {
            update_post_meta( $post_id, '_video_url', esc_attr( $_POST['_video_url'] ) );
        }
    }
  }
  
  if ( !function_exists('puca_tbay_VideoUrlType') ) {
    function puca_tbay_VideoUrlType($url) {
  
  
        $yt_rx = '/^((?:https?:)?\/\/)?((?:www|m)\.)?((?:youtube\.com|youtu.be))(\/(?:[\w\-]+\?v=|embed\/|v\/)?)([\w\-]+)(\S+)?$/';
        $has_match_youtube = preg_match($yt_rx, $url, $yt_matches);
  
  
        $vm_rx = '/(https?:\/\/)?(www\.)?(player\.)?vimeo\.com\/([a-z]*\/)*([0-9]{6,11})[?]?.*/';
        $has_match_vimeo = preg_match($vm_rx, $url, $vm_matches);
  
  
        //Then we want the video id which is:
        if($has_match_youtube) {
            $video_id = $yt_matches[5]; 
            $type = 'youtube';
        }
        elseif($has_match_vimeo) {
            $video_id = $vm_matches[5];
            $type = 'vimeo';
        }
        else {
            $video_id = 0;
            $type = 'none';
        }
  
  
        $data['video_id'] = $video_id;
        $data['video_type'] = $type;
  
        return $data;
    }
  }
  
  if ( !function_exists('puca_tbay_get_video_product') ) {
    add_action( 'tbay_product_video', 'puca_tbay_get_video_product', 10 );
    function  puca_tbay_get_video_product() {
      global $product;
   
  
      if( get_post_meta( $product->get_id(), '_video_url', true ) ) {
        $video = puca_tbay_VideoUrlType(get_post_meta( $product->get_id(), '_video_url', true ));
  
        if( $video['video_type'] == 'youtube' ) {
          $url  = 'https://www.youtube.com/embed/'.$video['video_id'].'?autoplay=1';
          $icon = '<i class="fa fa-youtube-play" aria-hidden="true"></i>'.esc_html__('View Video','puca');
  
        }elseif(( $video['video_type'] == 'vimeo' )) {
          $url = 'https://player.vimeo.com/video/'.$video['video_id'].'?autoplay=1';
          $icon = '<i class="fa fa-vimeo-square" aria-hidden="true"></i>'.esc_html__('View Video','puca');
  
        }
  
      }
  
      ?>
  
      <?php if( !empty($url) ) : ?>
  
        <div class="modal fade" id="productvideo">
          <div class="modal-dialog">
            <div class="modal-content tbay-modalContent">
  
              <div class="modal-body">
                
                <div class="close-button">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                </div>
                <div class="embed-responsive embed-responsive-16by9">
                            <iframe class="embed-responsive-item"></iframe>
                </div>
              </div>
  
            </div><!-- /.modal-content -->
          </div><!-- /.modal-dialog -->
        </div><!-- /.modal -->
  
        <button type="button" class="tbay-modalButton" data-toggle="modal" data-tbaySrc="<?php echo esc_attr($url); ?>" data-tbayWidth="640" data-tbayHeight="480" data-target="#productvideo"  data-tbayVideoFullscreen="true"><?php echo trim($icon); ?></button>
  
      <?php endif; ?>
    <?php
    }
  }
  

/**
 * ------------------------------------------------------------------------------------------------
 * Dropdown
 * ------------------------------------------------------------------------------------------------
 */
//Dropdown template
if (! function_exists('puca_swatch_attribute_template')) {
    function puca_swatch_attribute_template($post)
    {
        global $post;


        $attribute_post_id = get_post_meta($post->ID, '_puca_attribute_select');
        $attribute_post_id = isset($attribute_post_id[0]) ? $attribute_post_id[0] : ''; ?>

          <select name="puca_attribute_select" class="puca_attribute_taxonomy">
            <option value="" selected="selected"><?php esc_html_e('Global Setting', 'puca'); ?></option>

              <?php

                global $wc_product_attributes;

        // Array of defined attribute taxonomies.
        $attribute_taxonomies = wc_get_attribute_taxonomies();

        if (! empty($attribute_taxonomies)) {
            foreach ($attribute_taxonomies as $tax) {
                $attribute_taxonomy_name = wc_attribute_taxonomy_name($tax->attribute_name);
                $label                   = $tax->attribute_label ? $tax->attribute_label : $tax->attribute_name;

                echo '<option value="' . esc_attr($attribute_taxonomy_name) . '" '. selected($attribute_post_id, $attribute_taxonomy_name) .' >' . esc_html($label) . '</option>';
            }
        } ?>

          </select>

        <?php
    }
}


//Dropdown Save
if (! function_exists('puca_attribute_dropdown_save')) {
    add_action('woocommerce_process_product_meta', 'puca_attribute_dropdown_save', 30, 2);

    function puca_attribute_dropdown_save($post_id)
    {
        if (isset($_POST['puca_attribute_select'])) {
            update_post_meta($post_id, '_puca_attribute_select', $_POST['puca_attribute_select']);
        }
    }
}